Users
Return a list of all Users.
User response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/users HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "fb691e09-a185-4033-a91c-817d68b1b115",
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"app_admin"
]
}
}Create a User from the supplied object. Do NOT submit an ID. IDs are auto generated and immutable. Note: This API is rate limited to 50 requests per 300 seconds.
First or Given name of the user
JerryLast or Family name of the user
McGuireUser's email. This is the main identifier and cannot be changed.
no-reply@netography.comUser's nickname. Optional
SkippyHTTPS URL to a user's profile picture. Optional
https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.pngAn array containing strings which include the role name the user should be assigned to.
["admin"]User response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
POST /api/v1/user HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213
{
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"admin"
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "fb691e09-a185-4033-a91c-817d68b1b115",
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"app_admin"
]
}
}Fetches a specific User from the ID supplied in the path.
String ID of the user to get
User response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "fb691e09-a185-4033-a91c-817d68b1b115",
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"app_admin"
]
}
}Update a User given the provided object. This does not do a diff. You must send the complete object.
The ID of the User to be updated
First or Given name of the user
JerryLast or Family name of the user
McGuireUser's email. This is the main identifier and cannot be changed.
no-reply@netography.comUser's nickname. Optional
SkippyHTTPS URL to a user's profile picture. Optional
https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.pngAn array containing strings which include the role name the user should be assigned to.
["admin"]User response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213
{
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"admin"
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "fb691e09-a185-4033-a91c-817d68b1b115",
"given_name": "Jerry",
"family_name": "McGuire",
"email": "no-reply@netography.com",
"nickname": "Skippy",
"picture": "https://www.gfxmag.com/wp-content/uploads/2017/01/racing-car-emoji-vector-icon.png",
"roles": [
"app_admin"
]
}
}Deletes the User.
The ID of the User to be retrieved
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/user/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated